import { Icon } from "../general/Icon";
import styles from "./neufAddressSectionBlock.module.scss";

export const NeufAddressSectionBlock = () => {
  return (
    <div className={styles.addressSection}>
      <div className={styles.text}>
        <h3>Adresse</h3>
        <div>
          Chateau Neuf
          <br />
          Slemdalsveien 15
          <br />
          0369 Oslo
          <br />
          <br />
          <a href="https://maps.app.goo.gl/QFw4Cu7eVsnZ42or7" target="_blank">
            Vis i Google Maps&nbsp;
            <Icon type="externalLink" />
          </a>
        </div>
      </div>
      <div className={styles.map}>
        <iframe
          src="https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d1999.063860494329!2d10.7136789!3d59.9310825!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x46416dc4aae9a79f%3A0xcacc32c6d9c43be6!2sChateau%20Neuf%2C%200369%20Oslo!5e0!3m2!1sen!2sno!4v1719477745808!5m2!1sen!2sno"
          width="600"
          height="360"
          loading="lazy"
        ></iframe>
      </div>
    </div>
  );
};
